# xarray.Dataset.update

`Dataset.``update`(other: CoercibleMapping, inplace: bool = None) → Dataset

  Update this dataset’s variables with those from another dataset.

  Parameters:

  other (Dataset or castable to Dataset) –

  Variables with which to update this dataset. One of:
  - Dataset
  - mapping {var name: DataArray}
  - mapping {var name: Variable}
  - mapping {var name: (dimension name, array-like)}
  - mapping {var name: (tuple of dimension names, array-like)}

  Returns: | updated – Updated dataset.
  Return type: | Dataset
  Raises: | `ValueError` – If any dimensions would have inconsistent sizes in the updated dataset.